Your achievements

Level 1

0% to

Level 2

Tip /
Sign in

Sign in to Community

to gain points, level up, and earn exciting badges like the new
Bedrock Mission!

Learn more

View all

Sign in to view all badges

SOLVED

What Versions of the Apache Sling Specification Do AEM 6.3 and 6.4 Implement?

nesfel_aem
Level 3
Level 3

Can someone please tell me what version of the Sling specification AEM implements, and how we can look this up for each version of AEM?  I'm not looking for a list of Sling-related bundle versions in the web console, but rather the single, general Sling specification version.  Sling is currently at version 10.  I saw a stackoverflow post that says AEM 6.3 implements Sling 9, but don't know how to confirm this.

Thanks for your help.

-Nestor

1 Accepted Solution
nesfel_aem
Correct answer by
Level 3
Level 3

The answer we were looking for was a combination of what arunp99088702​ and dan.klco​ (and others) said below.

AEM provides components that might closely match a Sling API version, but those components are updated over time and details change.  It's not an "All Sling 9" or "All Sling 10" implementation.

However, just to get an idea of which versions of the Sling API that different versions of AEM most closely match (at least at a certain point in time), look here:

https://helpx.adobe.com/experience-manager/6-4/sites/developing/using/reference-materials.html

Again, thanks all.  Your posts below helped clarify things a lot.

View solution in original post

12 Replies
nesfel_aem
Level 3
Level 3

smacdonald2008​ thanks for your reply, but that is the same link I was referring to in my original post--it doesn't answer the question.  Next time I'll be sure to include any external links so they're not referenced in replies.

Somebody from Adobe must know the answer to this seemingly simple question, or at least be able to find out from an Adobe architect.  Just need to know what version of the Sling API specification that AEM implements for versions 6.3 and 6.4.  Sorry if I sound frustrated, but this should be super easy to find out and it's not.  If these forums aren't the appropriate place to ask, I just need to know where I should direct my question.  Thanks again.

smacdonald2008
Level 10
Level 10

Using the Felix web console - you can get details about the SLing APIs - such as shown here:

SlingAPI.png

There is not 1 UI that describes the SLing Version Its a combination of various APIs

Ratna_Kumar
Community Advisor
Community Advisor

Hi,

Yes I agree with Scott. Sling versions - Its basically a combination of different API's.

That you can find in Felix console as Scott mentioned.

Thanks,

Ratna Kumar.

nesfel_aem
Level 3
Level 3

smacdonald2008​ and Ratna Kumar​, first thanks for your replies.  I tried to make it clear in the original post that I already know I can look at the various Sling bundles and versions in the web console.  It doesn't answer the question.

The documentation on the official Apache Sling site is written to cover a specific version of Sling, even though Sling has many pieces.  That's all I'm trying to determine--what version of Sling as referenced on the official Apache Sling site is implemented by AEM?  It's a single numeric version--either version 8, 9, or 10 for AEM 6.3 and 6.4.  An Adobe AEM Architect would know the answer to this question.

Here are the links to avoid any ambiguity:

https://sling.apache.org/apidocs/sling9/index.html

https://sling.apache.org/apidocs/sling10/index.html

Please let me know if this isn't the right place to ask this question.  If it isn't, I will find out and post the answer.

Arun_Patidar
Community Advisor
Community Advisor

Hi,

According to AEM Reference Materials, they mentioned refer Apache Sling API 9 for 6.3 and Apache Sling API 10 for 6.4

Reference Materials (6.3)

Reference Materials (6.4)

So may be AEM 6.4 is implements Sling 10 frameworks.

Thanks

Arun

https://helpx.adobe.com/experience-manager/6-4/sites/developing/using/reference-materials.html

dan_klco
Level 5
Level 5

hey nesfel.aem

I'm a member of the Apache Sling PMC, so I wanted to clear up a bit of a misunderstanding you seem to have.

Ratna Kumar​ and scottmacd80​ are absolutely on the right track. Sling's Launchpad release are not "implemented" by AEM. Launchpad (now called Starter) is an aggregator of the bundles making up Apache Sling at a particular point of time. AEM is similarly constructed and the releases of AEM will not exactly match up with any release of the Sling Launchpad / Starter. It is quite common for AEM to contain unreleased versions of the various sling dependencies because Adobe does not have the time to go through a full release cycle on Apache Sling to make their AEM release dates (these will be dependencies that end with odd numbers FYI) or to include dependencies that were released after the Sling Launchpad / Starter release.

As arunp99088702 has indicated Sling Launchpad 9 is closest to AEM 6.3 and Sling Launchpad 10 is closest to AEM 6.4, but they are not the same thing and this is especially true when you install Service Packs.

Lokesh_Shivalingaiah
Community Advisor
Community Advisor

Perfect dan.klco !! I was about to say the same.

AEM is built based on the various 'Sling components' which will have its own versions and doesnt depend on the 'Sling Application' version.

Ref: Apache Sling :: Downloads

nesfel_aem
Level 3
Level 3

dan.klco​, awesome of you to clarify things.  I understand how this post could confuse other readers, but I really was just looking for the "base" version of Sling that's supported by AEM 6.3 and 6.4.  The answer I accepted was perfect for our needs, but might cause others to jump to wrong conclusions.  Makes perfect sense how the AEM implementation is not exactly all Sling version 9 or 10.  We just needed to know, in general, which set of API docs to use for reference (e.g., we wouldn't want to use Sling version 3 API documentation).  It's difficult to clarify exactly what I was asking without a huge, overly detailed post that will cause many knowledgeable people to ignore a huge wall of text. 

It was obvious after the first couple of responses that this was a tough question to get answered without verbal communication, so my next step was to call Adobe support.  Fortunately, somebody (arunp99088702) posted the answer we needed really quickly.  Your post certainly adds helpful perspective on things, and fills in some blanks.  Thanks so much for everyone who took time to help.

I will update the original question text to help remove ambiguity that could be misinterpreted.

nesfel_aem
Level 3
Level 3

Well, I am unable to edit my original question.  dan.klco​, your answer is obviously not incorrect.  I wish I could mark both answers correct, but the original one I accepted was the correct answer to my question.

nesfel_aem
Correct answer by
Level 3
Level 3

The answer we were looking for was a combination of what arunp99088702​ and dan.klco​ (and others) said below.

AEM provides components that might closely match a Sling API version, but those components are updated over time and details change.  It's not an "All Sling 9" or "All Sling 10" implementation.

However, just to get an idea of which versions of the Sling API that different versions of AEM most closely match (at least at a certain point in time), look here:

https://helpx.adobe.com/experience-manager/6-4/sites/developing/using/reference-materials.html

Again, thanks all.  Your posts below helped clarify things a lot.

View solution in original post